# $Revision: 1.28 $, $Date: 2002/08/25 21:12:59 $
Summary:	Boulderdash clone
Summary(pl):	Klon Boulderdasha
Summary(pt_BR):	Jogo tipo Boulderdash de pegar diamantes com mais de 10.000 nveis
Name:		rocksndiamonds
Version:	2.1.1
Release:	1
License:	GPL
Group:		X11/Applications/Games
Source0:	http://www.artsoft.org/RELEASES/unix/rocksndiamonds/%{name}-%{version}.tar.gz
Source1:	http://www.artsoft.org/RELEASES/unix/rocksndiamonds/levels/rockslevels-emc-1.0.tar.gz
Source2:	http://www.artsoft.org/RELEASES/unix/rocksndiamonds/levels/rockslevels-sp-1.0.tar.gz
Source3:	http://www.artsoft.org/RELEASES/unix/rocksndiamonds/levels/rockslevels-dx-1.0.tar.gz
Source4:	%{name}.desktop
Source5:	%{name}.png
Patch0:		%{name}-tape.patch
URL:		http://www.artsoft.org/rocksndiamonds/
BuildRequires:	SDL-devel >= 1.1.0
BuildRequires:	SDL_image-devel
BuildRequires:	SDL_mixer-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
A game like "Boulderdash" (C 64), "Emerald Mine" (Amiga) or "Supaplex"
(PC). Included are many levels known from the games "Boulderdash",
"Emerald Mine", "Sokoban", "Supaplex" and "DX-Boulderdash", level
elements for "Diamond Caves II" style games and a lot of new levels
designed by other players.

Some features:
- joystick support,
- local multiplayer support,
- network multiplayer support,
- soft scrolling with 50 frames/s,
- stereo sound effects and music,
- music module support,
- fullscreen support,
- 14233 levels (1072 in main package.)

%description -l pl
Gra podobna do Boulderdasha (omiobitowce), Emerald Mine (Amiga) lub
Supapleksa (PC). Zaczonych jest wiele poziomw z gier "Boulderdash",
"Emerald Mine", "Sokoban", "Supaplex" i "DX-Boulderdash", jak i
zupenie nowych, zaprojektowanych przez innych graczy. Gra wspiera
rwnie elementy poziomw z "Diamond Caves II".

Niektre cechy:
- obsuga joysticka,
- wsparcie dla lokalnej gry wieloosobowej,
- wsparcie dla sieciowej gry wieloosobowej,
- pynne przewijanie z 50 klatkami/s,
- efekty dwikowe stereo i muzyka,
- odtwarzanie moduw muzycznych,
- wywietlanie na caym ekranie,
- 14233 poziomy (1072 w gwnym pakiecie.)

%description -l pt_BR
O Rocks'n'Diamonds  um jogo tipo pegue-diamantes/evite-inimigos, com
mais de 10.000 nveis para sua diverso! Se voc conhece o jogo
"Boulderdash" para Commodore C64, "Emerald Mine" para Amiga ou
"Supaplex" para PC, ento voc sabe do que se trata este jogo.

Inclusos esto vrios nveis dos jogos "Boulderdash", "Emerald Mine",
"Sokoban", "Supaplex" e "DX-Boulderdash", alm de vrios nveis feitos
por outros jogadores.

Ele tem grficos legais, som e msica estreo, editor de nveis, modo
cooperativo, gravador em fita (para rever jogadas) e suporte a rede e
joystick.

%package levels-dx
Summary:	Levels from DX Boulderdash
Summary(pl):	Poziomy z DX Boulderdash
Group:		X11/Applications/Games
Requires:	%{name} = %{version}

%description levels-dx
1400 levels from DX Boulderdash.

%description levels-dx -l pl
1400 poziomw z DX Boulderdash.

%package levels-emc
Summary:	Levels from Emerald Mine Club
Summary(pl):	Poziomy z Klubu Emerald Mine
Group:		X11/Applications/Games
Requires:	%{name} = %{version}

%description levels-emc
10318 levels from Emerald Mine Club.

%description levels-emc -l pl
10318 poziomw z Klubu Emerald Mine.

%package levels-supaplex
Summary:	Supaplex style levels
Summary(pl):	Poziomy w stylu Supaplexa
Group:		X11/Applications/Games
Requires:	%{name} = %{version}

%description levels-supaplex
1443 Supaplex style levels.

%description levels-supaplex -l pl
1443 poziomy w stylu Supaplexa.

%prep
%setup -q -a1 -a2 -a3
%patch0 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -DTARGET_SDL `sdl-config --cflags` \
		-DSCORE_ENTRIES=MANY_PER_NAME \
		-DRO_GAME_DIR=\\\"%{_datadir}/%{name}\\\" \
		-DRW_GAME_DIR=\\\"/var/games/%{name}\\\"" \
	LDFLAGS="%{rpmldflags} -lSDL_image -lSDL_mixer `sdl-config --libs`"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man6,%{_datadir}/%{name},%{_applnkdir}/Games/Arcade,%{_pixmapsdir}}

install %{name}		$RPM_BUILD_ROOT%{_bindir}
install %{name}.1	$RPM_BUILD_ROOT%{_mandir}/man6/%{name}.6
mv -f graphics levels music sounds $RPM_BUILD_ROOT%{_datadir}/%{name}

install %{SOURCE4}	$RPM_BUILD_ROOT%{_applnkdir}/Games/Arcade
install %{SOURCE5}	$RPM_BUILD_ROOT%{_pixmapsdir}

# scores
install -d $RPM_BUILD_ROOT/var/games/%{name}/scores/
for i in $RPM_BUILD_ROOT%{_datadir}/%{name}/levels/*
do
	cd $i
	for j in `find * -type d`
	do
		mkdir $RPM_BUILD_ROOT/var/games/%{name}/scores/$j
		cd $j
		for k in `ls | grep \\\.level`
		do
			touch $RPM_BUILD_ROOT/var/games/%{name}/scores/$j/`basename $k .level`.score
		done
		cd ..
	done
	cd ..
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES HARDWARE README TODO
%attr(2755,root,games) %{_bindir}/%{name}
%doc %{_mandir}/man6/*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/levels
%{_datadir}/%{name}/[gms]*
%{_datadir}/%{name}/levels/[BCT]*
%{_applnkdir}/Games/Arcade/*
%{_pixmapsdir}/*
%defattr(664,root,games,755)
%dir /var/games/%{name}
%dir /var/games/%{name}/scores
/var/games/%{name}/scores/[bcr]*

%files levels-dx
%defattr(644,root,root,755)
%{_datadir}/%{name}/levels/DX_Boulderdash
%defattr(664,root,games,755)
/var/games/%{name}/scores/dx*

%files levels-emc
%defattr(644,root,root,755)
%{_datadir}/%{name}/levels/Emerald_Mine_Club
%defattr(664,root,games,755)
/var/games/%{name}/scores/emc*

%files levels-supaplex
%defattr(644,root,root,755)
%{_datadir}/%{name}/levels/Supaplex
%defattr(664,root,games,755)
/var/games/%{name}/scores/supaplex*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: rocksndiamonds.spec,v $
Revision 1.28  2002/08/25 21:12:59  kloczek
- updated to 2.1.1: bugfixes,
- removed outdated va_arg_fix patch.

Revision 1.27  2002/08/04 06:02:18  kloczek
- more fixes in %install for place desktop file in Games/Arcade/.

Revision 1.26  2002/08/03 22:51:51  kloczek
- move desktop file to Games/Arcade/.

Revision 1.25  2002/08/03 22:25:18  marcus
- use new %%doc

Revision 1.24  2002/08/03 22:24:05  mmazur
- fixed building on ppc;
- bumped release; STBR

Revision 1.23  2002/08/02 22:14:03  marcus
- updated to 2.0.1
- on ppc still are problems in linking

Revision 1.22  2002/03/14 00:08:54  qboosh
- data moved from %%{_datadir}/games/%%{name} to %%{_datadir}/%%{name}
  (there is no /usr/X11R6/share/games dir in PLD)
- release 2

Revision 1.21  2002/02/25 02:32:16  kloczek
- merge translations from Conectiva and remove commented Patch1.

Revision 1.20  2002/02/23 19:17:08  wolf
- URL added

Revision 1.19  2002/02/23 19:14:10  wolf
- updated to 2.0.0
- changed description
- packages with *many* level
- scores in /var/games/rocksndiamonds
- added desktop file and icon

Revision 1.18  2002/02/22 23:29:41  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/01/18 02:14:48  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.16  2001/11/27 18:38:34  qrczak
- rocksndiamonds-va_arg.patch: use the promoted type in va_arg
  (int instead of boolean).
- Fix install dirs.
- Release 2.

Revision 1.15  2001/11/12 15:09:53  qboosh
- fixed Group, adapterized, pl transl; TODO: move scores to /var/games!

Revision 1.14  2001/09/18 20:15:13  blues
- URL corrected

Revision 1.13  2000/08/07 23:00:14  baggins
- fixed rpm Group

Revision 1.12  2000/06/09 07:55:10  kloczek
- more %%{__make} macros.

Revision 1.11  2000/06/09 07:23:58  kloczek
- added using %%{__make} macro.

Revision 1.10  2000/04/01 11:15:40  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.9  2000/03/28 16:55:06  baggins
- translated kloczkish into english

Revision 1.8  1999/07/18 14:53:24  baggins
- fixed bogus Group: field

Revision 1.7  1999/07/12 23:06:14  kloczek

- added using CVS keywords in %changelog (for automating them).

* Thu Jan 11 1999 Kjetil Wiekhorst Jrgensen <jorgens+rpm@pvv.org> [1.3.0-1]
- upgraded to version 1.3.0

* Sat Dec 19 1998 Kjetil Wiekhorst Jrgensen <jorgens+rpm@pvv.org> [1.2.0-1]
- initial version packaged by me.
